Проблемы зависимости MailScanner от libcompress-zlib-perl

Совсем недавно я рассказывал, как установить почтовый сервер на Debian, Ubuntu, Mint и их производные. После установки почтового сервера, крайне рекомендуются для установки программы Clam Antivirus, SpamAssassin и MailScanner. О том, как их установить также уже было рассказано.

Но некоторые загвоздки могут возникнуть с программой MailScanner. Например, на Linux Mint эта программа категорически отказывает устанавливаться. А именно, постоянно появляются ошибки:

Если попытаться установить libcompress-zlib-perl, то появляется ошибка, которая говорит, что это виртуальный пакет:

 

Если пробовать установить пакеты ibio-compress-perl 2.063-1 или perl 5.18.2-2ubuntu1, то появляются сообщения, что они уже установлены.

Тем не менее, ситуация не безнадёжная.

Установка MailScanner для Other Linux (файл *.tar.gz)

Перед началом всех работ, первое, что нужно сделать, это установить все необходимые зависимости. Список зависимостей большой, но, к счастью, это можно сделать используя одну команду.

Скачиваем последнюю версию MailScanner, но теперь из раздела Other Linux. После этого распаковываем, переходим в распакованный каталог и запускаем установочный скрипт (ещё раз — пути могут быть другие, если вы скачиваете более свежую версию).

 



После этого происходит реально долгая установка. Программа постоянно выводит блоки информации, которые очень похожи, различаются только название модулей. Из-за этого может показаться, что программу зациклило и что она пишет одно и то же. Просто ждём — всё в порядке.

Устанавливается она в другой каталог, не в тот, который описан в предыдущей инструкции — /opt/MailScanner-4.84.6-1

Настройка MailScanner

Создаём необходимый каталог для программы и присваиваем соответствующие разрешения, создаём ещё один необходимый файл:

Настройка конфигурационного файла такая же, но сам конфигурационный файл лежит в другом месте (я сравниваю с предыдущей инструкцией, ссылка на которую дана выше):

 

Запуск MailScanner

После всего этого должно запуститься:

У меня при запуске появляются предупреждения:

И ещё при обновлениях пакетов будет появляться напоминание, что один из пакетов (MailScanner) установлен неправильно и будет предложение его удалить. Тем не менее, судя по логу всё работает:

MailScanner устанавливается в каталог /opt. Но если хотите, то можете переместить его куда угодно. После этого отредактируйте MailScanner.conf и check_mailscanner для установки верных путей.

Рекомендуется назначить следующие задачи для cron (от имени рута):

 


Внимание конкурс! на форуме codeby

Наш конкурс  - это возможность получить денежные призы, премиум доступ на форуме и скидку в нашем маркетплейсе

Похожие темы

Как настроить fail2ban для защиты сервера Apache H... Сервер Apache HTTP в производственной среде может оказаться под различного рода атаками. Атакующие могут пытаться получить несанкционированный доступ ...
Сегментация и тестирование фаервола в Metasploit... |   Давайте вместе поднимем посещаемость!   | Когда фаерволы неправильно настроены, или придерживаются слабой политики исходящего трафика, они откр...
Metasploit Express — руководство для начинаю... О руководстве Целевая аудитория Структура Условные обозначения Поддержка Поддержка Metasploit Pro и Metasploit Express Поддержка Metasploit Fram...
Стресс-тест сети (DoS веб-сайта) со SlowHTTPTest в... Стресс-тесты сети могут дать важные данные о проблемах, связанных с производительностью сервера, о неправильной (недостаточной) его настройке. Даже ...
Cinnamon 2.4 доступна для бета-тестирования на Lin... Вышла новая версия Cinnamon и она будет включена в предстоящий релиз Linux Mint 17.1 в конце этого месяца. В течение последующих двух недель раз...